package Common.Database.Objects;
import Common.CommonConstants;
import com.google.gson.annotations.Expose;
import com.sun.org.glassfish.gmbal.Description;
//автоинкрементальный ключ
public class iDBObject extends DBObject {
    @Expose
    @Description("PRIMARY KEY,AUTOINCREMENT")
    public int id;
    public iDBObject() {
    }
    public iDBObject(iDBObject src) {
        this.SynchronizeFields(src);
    }
    @Override
    public Object getPK() {
        return id;
    }
    @Override
    public Object getEmptyFK() {
        return CommonConstants.Nan;
    }
    //---
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        id = ((iDBObject) src).id;
    }
}
